package net.knarcraft.minecraftserverlauncher.utility;

import org.junit.jupiter.api.Test;

import static net.knarcraft.minecraftserverlauncher.utility.CommonFunctions.stringBetween;
import static org.junit.jupiter.api.Assertions.assertEquals;

public class CommonFunctionsTest {

    @Test
    public void stringBetweenTest() {
        String substring = stringBetween("fish'nchips", "f", "'");
        assertEquals("ish", substring);
        substring = stringBetween("something", "whale", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "so", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "asd", "ing");
        assertEquals("", substring);
    }
}
